kio Library: KOCRDialogFactory Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KOCRDialogFactory Class Reference

A factory for creating a KOCRDialog. Factory for creating KScanDialogs. More...

`#include <kscan.h>`

Inheritance diagram for KOCRDialogFactory:

[legend]
Collaboration diagram for KOCRDialogFactory:

[legend]
List of all members.

## Public Member Functions
virtual KOCRDialog * | createDialog (QWidget *parent=0, const char *name=0, bool modal=false)=0
## Protected Member Functions
| KOCRDialogFactory (QObject *parent=0, const char *name=0)
virtual QObject * | createObject (QObject *parent=0, const char *name=0, const char *classname="QObject", const QStringList &args=QStringList())
void | setName (const QCString &instanceName)
KInstance * | instance () const
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A factory for creating a KOCRDialog. Factory for creating KScanDialogs.

You need to reimplement createDialog().

Definition at line 318 of file kscan.h.

## Constructor & Destructor Documentation

KOCRDialogFactory::KOCRDialogFactory | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) | `[protected]`

  | Creates a new KScanDialogFactory. Parameters:
  | parent | the QWidget's parent, or 0
  | name | the name of the QObject, can be 0
Definition at line 143 of file kscan.cpp.

## Member Function Documentation

virtual KOCRDialog* KOCRDialogFactory::createDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) | `[pure virtual]`

  | Your library should reimplement this method to return your KOCRDialog derived dialog. Parameters:
  | parent | the QWidget's parent, or 0
  | name | the name of the QObject, can be 0
  | modal | if true the dialog is model

void KOCRDialogFactory::setName | ( | const QCString & | instanceName | ) | `[inline, protected]`

  | Creates a new instance with the given name. Parameters:
  | instanceName | the name of the instance
Definition at line 350 of file kscan.h.

KInstance* KOCRDialogFactory::instance | ( |  | ) | const`[inline, protected]`

| Returns the instance. Returns: the KInstance Definition at line 359 of file kscan.h.

The documentation for this class was generated from the following files:

- kscan.h
- kscan.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:05 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003